Welcome to the Help Center

Follow

What Android devices are compatible with ZeFit2 Pulse?

Just like most activity trackers available on the market, ZeFit2 Pulse is only compatible with Select Android 4.3 + devices that support Bluetooth 4.0 connectivity. Previous Android version cannot well support the transmission of data via Bluetooth, this is why BLE + Android 4.3 are required.

Here is a non-exhaustive list of mobile devices compatible and tested by MyKronoz :

  • Samsung S3
  • Samsung S4
  • Samsung S5
  • Samsung Galaxy Note 2
  • Samsung Galaxy Note 3
  • Samsung Galaxy Note 4
  • Sony XperiaZ2
  • HTC M8T
  • HTC-D610t
  • LG G3
  • Nexus 5
  • HUAWEI-P7
  • VIVO 3S
  • MOTO X
  • OPPO

My phone/tablet is not compatible, what can I do ?

If your phone is not compatible, you have the possibility to set up your watch and synchronise your data via the computer software available here.

Was this article helpful?
0 out of 2 found this helpful
Have more questions? Submit a request

Comments